项目
GET https://olinke.com/api/projects/
curl --request GET \
--url 'https://olinke.com/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| search | 可选的 字符串 | 搜索字符串。 |
| search_by | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:name。 |
| datetime_field | 可选的 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选的 字符串 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 可选的 字符串 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:project_id, datetime, last_datetime, name。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-04-17 09:57:39",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://olinke.com/api/projects?page=1",
"last": "https://olinke.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://olinke.com/api/projects?page=1"
}
}
GET https://olinke.com/api/projects/{project_id}
curl --request GET \
--url 'https://olinke.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-04-17 09:57:39",
}
}
POST https://olinke.com/api/projects
| 参数 | 细节 | 描述 |
|---|---|---|
| name | 必需 字符串 | - |
| color | 可选的 字符串 | - |
curl --request POST \
--url 'https://olinke.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--url 'https://olinke.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
{
"data": {
"id": 1
}
}
POST https://olinke.com/api/projects/{project_id}
| 参数 | 细节 | 描述 |
|---|---|---|
| name | 可选的 字符串 | - |
| color | 可选的 字符串 | - |
curl --request POST \
--url 'https://olinke.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--url 'https://olinke.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
{
"data": {
"id": 1
}
}
DELETE https://olinke.com/api/projects/{project_id}
curl --request DELETE \
--url 'https://olinke.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \